Subject: bug#64756: some frequent test failures

From: Bruno Haible <[email-masked]>
Date: Thu, 20 Jul 2023 23:55:33 +0200

Hi,

After checking out autoconf from git (master branch), then
  $ bootstrap
  $ ./configure
  $ make
  $ for n in 2 3 4 5 6 7 8 9; do
      make check ; mv test-suite.log test-suite.log.$n
    done

The various test-suite.log files show different test failures each
time:

$ grep ^FAIL: test-suite.log.2
FAIL: t/aclocal-I-and-install
FAIL: t/backcompat2
FAIL: t/python-prefix
FAIL: t/remake-after-aclocal-m4
FAIL: t/remake-include-configure
FAIL: t/subobj

$ grep ^FAIL: test-suite.log.3
FAIL: t/aclocal-I-and-install
FAIL: t/python-prefix
FAIL: t/remake-after-acinclude-m4
FAIL: t/remake-after-aclocal-m4
FAIL: t/remake-aclocal-version-mismatch

$ grep ^FAIL: test-suite.log.4
FAIL: t/aclocal-I-and-install
FAIL: t/backcompat2
FAIL: t/nodef
FAIL: t/python-prefix
FAIL: t/remake-after-acinclude-m4
FAIL: t/remake-after-aclocal-m4
FAIL: t/remake-include-configure

$ grep ^FAIL: test-suite.log.5
FAIL: t/aclocal-I-and-install
FAIL: t/nodef2
FAIL: t/python-prefix
FAIL: t/remake-after-aclocal-m4
FAIL: t/remake-all-1

$ grep ^FAIL: test-suite.log.6
FAIL: t/aclocal-I-and-install
FAIL: t/backcompat2
FAIL: t/testsuite-summary-reference-log
FAIL: t/python-prefix
FAIL: t/remake-after-acinclude-m4

$ grep ^FAIL: test-suite.log.7
FAIL: t/aclocal-I-and-install
FAIL: t/nodef
FAIL: t/python-prefix

$ grep ^FAIL: test-suite.log.8
FAIL: t/aclocal-I-and-install
FAIL: t/backcompat2
FAIL: t/nodef
FAIL: t/testsuite-summary-reference-log
FAIL: t/python-prefix
FAIL: t/remake-after-configure-ac
FAIL: t/remake-after-aclocal-m4

$ grep ^FAIL: test-suite.log.9
FAIL: t/aclocal-I-and-install
FAIL: t/nodef
FAIL: t/python-prefix
FAIL: t/remake-after-acinclude-m4
FAIL: t/remake-after-aclocal-m4
FAIL: t/remake-all-1

So:
  * t/aclocal-I-and-install and t/python-prefix fail always.
  * The following tests fail randomly:
    t/backcompat2
    t/nodef
    t/nodef2
    t/remake-after-configure-ac
    t/remake-after-acinclude-m4
    t/remake-after-aclocal-m4
    t/remake-aclocal-version-mismatch
    t/remake-include-configure
    t/remake-all-1
    t/subobj
    t/testsuite-summary-reference-log

This is on a system with Linux, glibc 2.35, autoconf 2.71, m4 1.4.19, make 4.3,
perl v5.34.0. No hardware issues (uptime: 20 days).

Any idea?

Bruno